<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.entrustment.mapper.SampleMapper">

  <resultMap id="sampleMap" type="digital.laboratory.platform.sys.entity.entrustment.Sample">
    <id property="id" column="id"/>
    <result property="identificationMaterialId" column="identification_material_id"/>
    <result property="sampleNo" column="sample_no"/>
    <result property="source" column="source"/>
    <result property="entrustmentId" column="entrustment_id"/>
    <result property="sewageJobId" column="sewage_job_id"/>
    <result property="hairJobId" column="hair_job_id"/>
    <result property="qualitativeAnalysis" column="qualitative_analysis"/>
    <result property="quantitativeAnalysis" column="quantitative_analysis"/>
    <result property="candidateDrugs" column="candidate_drugs" typeHandler="com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler"/>
    <result property="fundName" column="fund_name"/>
    <result property="fundQuantity" column="fund_quantity"/>
    <result property="fundUnit" column="fund_unit"/>
    <result property="quantity" column="quantity"/>
    <result property="unit" column="unit"/>
    <result property="additionalProperties" column="additional_properties" typeHandler="com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler"/>
    <result property="drawWay" column="draw_way"/>
    <result property="boxId" column="box_id"/>
    <result property="sampleType" column="sample_type"/>
    <result property="storageMethod" column="storage_method"/>
    <result property="acceptTime" column="accept_time"/>
    <result property="status" column="status"/>
    <result property="createTime" column="create_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateTime" column="update_time"/>
    <result property="updateBy" column="update_by"/>
    <result property="holder" column="holder"/>
    <result property="acceptNo" column="accept_no"/>
  </resultMap>
</mapper>
